KeyStore.TrustedCertificateEntry (Java SE 12 & JDK 12 )
Keywords: java.security.KeyStore.TrustedCertificateEntry class

Module java.base
Package java.security

## Class KeyStore.TrustedCertificateEntry

- java.lang.Object
- - java.security.KeyStore.TrustedCertificateEntry

- All Implemented Interfaces:
    `KeyStore.Entry`
  Enclosing class:
    KeyStore

      public static final class KeyStore.TrustedCertificateEntry
      extends Object
      implements KeyStore.Entry

  A `KeyStore` entry that holds a trusted `Certificate`.
  Since:
    1.5

- - ### Nested Class Summary

    - ### Nested classes/interfaces declared in interface java.security.KeyStore.Entry

      `KeyStore.Entry.Attribute`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TrustedCertificateEntry​(Certificate trustedCert)` | Constructs a `TrustedCertificateEntry` with a trusted `Certificate`.
    `TrustedCertificateEntry​(Certificate trustedCert, Set<KeyStore.Entry.Attribute> attributes)` | Constructs a `TrustedCertificateEntry` with a trusted `Certificate` and associated entry attributes.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `Set<KeyStore.Entry.Attribute>` | `getAttributes()` | Retrieves the attributes associated with an entry.
    `Certificate` | `getTrustedCertificate()` | Gets the trusted `Certficate` from this entry.
    `String` | `toString()` | Returns a string representation of this TrustedCertificateEntry.

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TrustedCertificateEntry

          public TrustedCertificateEntry​(Certificate trustedCert)

      Constructs a `TrustedCertificateEntry` with a trusted `Certificate`.
      Parameters:
        `trustedCert` - the trusted `Certificate`
      Throws:
        `NullPointerException` - if `trustedCert` is `null`

    - #### TrustedCertificateEntry

          public TrustedCertificateEntry​(Certificate trustedCert,
                                         Set<KeyStore.Entry.Attribute> attributes)

      Constructs a `TrustedCertificateEntry` with a trusted `Certificate` and associated entry attributes.

      The specified `attributes` is cloned before it is stored in the new `TrustedCertificateEntry` object.

      Parameters:
        `trustedCert` - the trusted `Certificate`
        `attributes` - the attributes
      Throws:
        `NullPointerException` - if `trustedCert` or `attributes` is `null`
      Since:
        1.8

  - ### Method Detail

    - #### getTrustedCertificate

          public Certificate getTrustedCertificate()

      Gets the trusted `Certficate` from this entry.
      Returns:
        the trusted `Certificate` from this entry

    - #### getAttributes

          public Set<KeyStore.Entry.Attribute> getAttributes()

      Retrieves the attributes associated with an entry.
      Specified by:
        `getAttributes` in interface `KeyStore.Entry`
      Returns:
        an unmodifiable `Set` of attributes, possibly empty
      Since:
        1.8

    - #### toString

          public String toString()

      Returns a string representation of this TrustedCertificateEntry.
      Overrides:
        `toString` in class `Object`
      Returns:
        a string representation of this TrustedCertificateEntry.